module Sphere exposing (..)
import Html exposing (a)

type alias Sphere =
    { name : String
    , dots : Int
    }

changeSphereInList : List Sphere -> Sphere -> List Sphere
changeSphereInList spheres sphere =
    List.map ( changeSphere sphere ) spheres

changeSphere : Sphere -> Sphere -> Sphere
changeSphere newSphere sphere =
    if isSphere sphere newSphere
    then
        newSphere
    else
        sphere

isSphere : Sphere -> Sphere -> Bool
isSphere a b =
    a.name == b.name